#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 one-liner
version:              1.0
visibility:           public
id:                   one-liner-1.0-ByL8BqgPYekJTqAVQgiVZL
key:                  one-liner-1.0-ByL8BqgPYekJTqAVQgiVZL
license:              BSD-3-Clause
maintainer:           sjoerd@w3future.com
author:               Sjoerd Visscher, Xia Li-yao
homepage:             https://github.com/sjoerdvisscher/one-liner
synopsis:             Constraint-based generics
description:
    Write short and concise generic instances of type classes.
    one-liner is particularly useful for writing default
    implementations of type class methods.

category:             Generics
abi:                  c55a3e86c53dea667ca1f53b6850c7bb
exposed:              True
exposed-modules:
    Generics.OneLiner Generics.OneLiner.Binary
    Generics.OneLiner.Classes Generics.OneLiner.Internal
    Generics.OneLiner.Internal.Unary

import-dirs:          /usr/lib/ghc-8.10.2/site-local/one-liner-1.0
library-dirs:         /usr/lib/ghc-8.10.2/site-local/one-liner-1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/one-liner-1.0
hs-libraries:         HSone-liner-1.0-ByL8BqgPYekJTqAVQgiVZL
depends:
    base-4.14.1.0 bifunctors-5.5.7-C7KB9qRsJL5EFJR73WWL9B
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum ghc-prim-0.6.1
    profunctors-5.5.2-LgqHbawhDYN8IVS355wKIQ
    tagged-0.8.6-6ynGuqiqWewDmeFAuVgKQe transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-one-liner/html/one-liner.haddock
haddock-html:         /usr/share/doc/haskell-one-liner/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

